Bug 855172 - application create and cartridge create should be able to handle multiple cartridges
application create and cartridge create should be able to handle multiple car...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lili Nader
libra bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 17:21 EDT by John (J5) Palmieri
Modified: 2015-05-14 20:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-09 17:28:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John (J5) Palmieri 2012-09-06 17:21:29 EDT
Description of problem:

In rhc we want the ability to support multiple cartridge additions with one command.  While we could implement this in the client it is error prone and would involve ordering cart additions based on dependencies and rolling back if one of the many calls to the broker fails.  This code should live in the broker as part of the REST API.  

examples:

rhc app create myapp ruby-1.9 mysql mongodb rockmongo
rhc cartridge add mysql mongodb rockmongo -a myapp

Order of cartridges should not matter as long as the list of cartridges can be successfully installed together.  The broker should reorder based on dependency issues.

On error the broker should be specific on what failed. e.g. The mysql cartridge failed to install; You specified rockmongo but it requires mongodb; No standalone cartridge was specified; The ruby-1.9 and ruby-1.8 cartridges conflict and can not be installed in the same application; etc.
Comment 1 Clayton Coleman 2012-09-06 17:26:10 EDT
Creating an app with multiple cartridges at once is a highly desirable step to reduce the tedium of quickstarts - especially for the very common php-5.3 / mysql-5.1 combo.
Comment 2 John Poelstra 2012-09-07 14:55:13 EDT
Clayton needs to know what scope is.  Lili will open a story and close this bug.
Comment 3 Mike McGrath 2012-10-10 14:33:03 EDT
Just following up, anyone know if this story got created?  If so please note it and close bug

 - Bug Triaging meeting
Comment 4 Lili Nader 2012-11-09 17:28:24 EST
This is done as part of user story US3043

https://rally1.rallydev.com/#/4670514611d/detail/userstory/9293624682

Note You need to log in before you can comment on or make changes to this bug.